Subject: Re: bug#26515: Acknowledgement ([PATCH] gnu: Add emacs-calfw.)

From: Vasile Dumitrascu <[email-masked]>
Date: Mon, 17 Apr 2017 22:00:00 +0000

Hi

  I did miss the linter warning, regarding the tarball name, sorry for that.

  I will prepare packages for 'howm' and 'google-maps', in order not to
leave the calfw only partially working, and I will send the patches asap.

  Thank you for the observations,

   Vasile

Alex Kost:
> Vasile Dumitrascu (2017-04-15 14:37 +0000) wrote:
> 
>>    Hi
>>
>> I have added a small correction on the homepage for calfw, as I forgot
>> to update the Url from the code stub I have used.
> 
> Applied¹, thanks!  Next time, if you have corrections to your original
> patch, please send an updated patch instead of the new patch build on
> top of the original one.
> 
> Note that "guix lint emacs-calfw" reports:
> 
>   gnu/packages/emacs.scm:1200:5: [email-masked]: the source file name should contain the package name
> 
> This means the source origin should contain:
> 
>   (file-name (string-append name "-" version ".tar.gz"))
> 
> Otherwise, the downloaded tarball will have the following name in the
> store (this is often the case with github tagged releases):
> 
>    /gnu/store/...-v1.5.tar.gz
> 
> while we prefer
> 
>    /gnu/store/...-emacs-calfw-1.5.tar.gz
> 
> 
> Finally, I see that for some additional features, this package require
> 'howm' and 'google-maps' emacs packages, so these features won't work;
> but you probably know about it.
> 
> ¹ http://git.savannah.gnu.org/cgit/guix.git/commit/?id=36890436710032d6c731e31becf6a5bd7aa4afaf
>